<?php
namespace Teknisa\SM\Controller;

use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;
use Teknisa\SM\Service\Sm00019000RelatorioCentroCustoService;

class Sm00019000RelatorioCentroCustoController {
    
    protected $relatorioCentroCustoService;
    
    public function __construct(Sm00019000RelatorioCentroCustoService $relatorioCentroCustoService) {
        $this->relatorioCentroCustoService = $relatorioCentroCustoService;
    }
    
    public function atualizarView(Request\Row $request, Response $response) {
        try {
            $this->relatorioCentroCustoService->atualizarView();
        }
        catch (\Exception $e) {
            $response->setError(new Response\Error($e->getMessage(), $e->getCode()));
        }
    }
}